Subject: Offline Message from kenneth wuertz: I have ordered 3 of the T-580 warrior Bl
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Fri, 09 Sep 2022 00:31:49 -0000

From: kenneth wuertz <[email-masked]>
Phone: 2175202538
Location: Decatur, United States
URL: https://swagtron.com/product-category/hoverboard/
Department: SwagTron

I have ordered 3 of the T-580 warrior Bluetooth hoverboards. Not a single one will power on. I returned one and will be returning a second. The third I kept and disassembled. The battery pack is so dead it won't charge. I believe this was the problem with all 3. Can I get one that works or do they all arive with dead batteries,? 

----
Zopim
https://www.zopim.com